using System;

namespace RSSSample
{
	/// <summary>
	/// Summary description for ProxySetting.
	/// </summary>
	public class ProxySetting
	{
		private bool _useProxy;
		private bool _bypassLocal;
		private string _address;
		private int _port;

		public bool UseProxy
		{
			get
			{
				return _useProxy;
			}
			set
			{
				_useProxy = value;
			}
		}

		public bool BypassLocal
		{
			get
			{
				return _bypassLocal;
			}
			set
			{
				_bypassLocal = value;
			}
		}

		public string Address
		{
			get
			{
				return _address;
			}
			set
			{
				_address = value;
			}
		}

		public int Port
		{
			get
			{
				return _port;
			}
			set
			{
				_port = value;
			}
		}

		public ProxySetting()
		{
			UseProxy = false;
			Port = 3128;
			Address = "127.0.0.1";
			BypassLocal = true;
		}
	}
}
